Subject: Re: [PATCH] KVM: PPC: bookehv: Allow duplicate calls of DO_KVM macro

From: Scott Wood <[email-masked]>
Date: Wed, 12 Sep 2012 16:38:05 -0500

On 09/12/2012 01:56 PM, Alexander Graf wrote:
> 
> 
> On 12.09.2012, at 15:18, Mihai Caraman <[email-masked]> wrote:
> 
>> The current form of DO_KVM macro restricts its use to one call per input
>> parameter set. This is caused by kvmppc_resume_\intno\()_\srr1 symbol
>> definition.
>> Duplicate calls of DO_KVM are required by distinct implementations of
>> exeption handlers which are delegated at runtime.
> 
> Not sure I understand what you're trying to achieve here. Please elaborate ;)

On 64-bit book3e we compile multiple versions of the TLB miss handlers,
and choose from them at runtime.  Without this patch, we get duplicate
label errors if more than one variant of the same exception uses DO_KVM.

-Scott